function vexpower.panel_defaultprofile()
	return {
		type = "group",
		args = {
			grpadd = {
				name = "Default Profile",
				order=3, type ="group", dialogInline = true,
				args = {
					frame_space3 = {name = "Loads a specific profile instead of addon defaults.\n", type = "description", order=1, fontSize="medium"},
					activate = {
						name = "Enable default Profile",
						order=10, type = "toggle", width="full",
						set = function(self,key) vexpower_default_data["activate"]=key vexpower_initialize(true) end,
						get = function() return vexpower_default_data["activate"] end,
						},
					profile = {
						name = "Profile",
						order=20, type = "select", style = "dropdown", width="double",
						values = vexpower_getProfileList(),
						set = function(self,key) vexpower_default_data["profile"] = key vexpower_initialize(true) end,
						get = function() return vexpower_default_data["profile"] end,
						},
					},
				},
			}
		}
end