function vexpower.panel_show()
	return {
		type = "group",
		order= 5,
		args = {
			grpallow = {
				name = "General Settings",
				order=1, type ="group", dialogInline = true,
				args = {
					activate = {
						name = "Enable addon",
						order=1, type = "toggle", width="full",
						set = function(self,key) vexpower_parameters["frame"]["show"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["show"] end,
						},
					activate_space = {name ="\n", type = "description", order=2},
					activateenergy = {
						name = "Enable Powerbar",
						order=3, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["frame"]["energy"]["show"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["energy"]["show"] end,
						},
					activatecps = {
						name = "Enable Combopoints",
						order=4, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["frame"]["combo"]["show"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["combo"]["show"] end,
						},
					},
				},
			frame_space = {name ="\n", type = "description", order=2},
			grpblizz = {
				name = "Blizzard Frames",
				order=3, type ="group", dialogInline = true,
				args = {
					disableHolyPower = {
						name = "Disable Blizzard's Holy Power Bar",
						order=1, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["blizzhide"]["holypower"]=key vexpower_setBlizzFrames() end,
						get = function() return vexpower_parameters["blizzhide"]["holypower"] end,
						},
					disableCPs = {
						name = "Disable Blizzard's ComboPoint Bar",
						order=2, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["blizzhide"]["cps"]=key vexpower_setBlizzFrames() end,
						get = function() return vexpower_parameters["blizzhide"]["cps"] end,
						},
					disableLockShards = {
						name = "Disable Blizzard's Soul Shard Frame",
						order=3, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["blizzhide"]["lockShards"]=key vexpower_setBlizzFrames() end,
						get = function() return vexpower_parameters["blizzhide"]["lockShards"] end,
						},
					hide_info = {name ="Re-enabling Blizzard's frames needs a UI reload in order to work", type = "description", order=3},
					},
				},
			frame_space1 = {name ="\n", type = "description", order=4},
			
			grpooc = {
				name = "'Out of Combat' Settings",
				order=5, type ="group", dialogInline = true,
				args = {
					infightonly = {
						name = "When 'Out of Combat': Hide the Powerbar",
						order=1, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["frame"]["infightshow"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["infightshow"] end,
						},
					frame_subspace1 = {name =" ", type = "description", order=2, width="half"},
					stealth = {
						name = "Still show the Powerbar when stealthed",
						order=3, type = "toggle", width="double",
						disabled = not(vexpower_parameters["frame"]["infightshow"]) or not(vexpower_parameters["frame"]["show"]),
						desc = "Shows the energy bar when stealthed even when the 'out of combat'-setting is enabled and you are out of combat",
						set = function(self,key) vexpower_parameters["frame"]["stealthshow"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["stealthshow"] end,
						},
					infightonlyCP = {
						name = "When 'Out of Combat': Hide the ComboPoints",
						order=4, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["frame"]["infightshowCP"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["infightshowCP"] end,
						},
					frame_subspace1CP = {name =" ", type = "description", order=5, width="half"},
					stealthCP = {
						name = "Still show ComboPoints when stealthed",
						order=6, type = "toggle", width="double",
						disabled = not(vexpower_parameters["frame"]["infightshowCP"]) or not(vexpower_parameters["frame"]["show"]),
						desc = "Shows the combopoints when stealthed even when the 'out of combat'-setting is enabled and you are out of combat",
						set = function(self,key) vexpower_parameters["frame"]["stealthshowCP"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["stealthshowCP"] end,
						},
					frame_subspace2 = {name =" ", type = "description", order=7},
					infightdelay = {
						name = "'Out of Combat' delay timer (seconds)",
						order=8, type = "range", width="double",
						desc = "Sets the time the fade out effects are delayed when leaving combat",
						step = 1, min = 0, max = 30,
						set = function(info,val) vexpower_parameters["frame"]["infightdelay"]=val vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["infightdelay"] end
						},
					},
				},
			frame_space2 = {name ="\n", type = "description", order=6},
			
			grpshow = {
				name = "Powertype settings",
				order=7, type ="group", dialogInline = true,
				args = {
					powerRage = {
						name = "When the powertype is '|CFF"..vexpower_PowerTypeColorHex("RAGE").."Rage|r': Show the Powerbar",
						order=1, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["frame"]["energy"]["showWithPowerType"]["RAGE"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["energy"]["showWithPowerType"]["RAGE"] end,
						},
					CPsRage = {
						name = "When the powertype is '|CFF"..vexpower_PowerTypeColorHex("RAGE").."Rage|r': Show the ComboPoints",
						order=2, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["frame"]["combo"]["showWithPowerType"]["RAGE"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["combo"]["showWithPowerType"]["RAGE"] end,
						},
					powerMana = {
						name = "When the powertype is '|CFF"..vexpower_PowerTypeColorHex("MANA").."Mana|r': Show the Powerbar",
						order=5, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["frame"]["energy"]["showWithPowerType"]["MANA"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["energy"]["showWithPowerType"]["MANA"] end,
						},
					CPsMana = {
						name = "When the powertype is '|CFF"..vexpower_PowerTypeColorHex("MANA").."Mana|r': Show the ComboPoints",
						order=6, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["frame"]["combo"]["showWithPowerType"]["MANA"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["combo"]["showWithPowerType"]["MANA"] end,
						},
					powerFocus = {
						name = "When the powertype is '|CFF"..vexpower_PowerTypeColorHex("FOCUS").."Focus|r': Show the Powerbar",
						order=11, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["frame"]["energy"]["showWithPowerType"]["FOCUS"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["energy"]["showWithPowerType"]["FOCUS"] end,
						},
					CPsFocus = {
						name = "When the powertype is '|CFF"..vexpower_PowerTypeColorHex("FOCUS").."Focus|r': Show the ComboPoints",
						order=12, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["frame"]["combo"]["showWithPowerType"]["FOCUS"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["combo"]["showWithPowerType"]["FOCUS"] end,
						},
					powerEnergy = {
						name = "When the powertype is '|CFF"..vexpower_PowerTypeColorHex("ENERGY").."Energy|r': Show the Powerbar",
						order=15, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["frame"]["energy"]["showWithPowerType"]["ENERGY"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["energy"]["showWithPowerType"]["ENERGY"] end,
						},
					CPsEnergy = {
						name = "When the powertype is '|CFF"..vexpower_PowerTypeColorHex("ENERGY").."Energy|r': Show the ComboPoints",
						order=16, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["frame"]["combo"]["showWithPowerType"]["ENERGY"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["combo"]["showWithPowerType"]["ENERGY"] end,
						},
					powerRP = {
						name = "When the powertype is '|CFF"..vexpower_PowerTypeColorHex("RUNIC_POWER").."Runic Power|r': Show the Powerbar",
						order=21, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["frame"]["energy"]["showWithPowerType"]["RUNIC_POWER"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["energy"]["showWithPowerType"]["RUNIC_POWER"] end,
						},
					CPsRP = {
						name = "When the powertype is '|CFF"..vexpower_PowerTypeColorHex("RUNIC_POWER").."Runic Power|r': Show the ComboPoints",
						order=22, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["frame"]["combo"]["showWithPowerType"]["RUNIC_POWER"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["combo"]["showWithPowerType"]["RUNIC_POWER"] end,
						},
					},
				},
			frame_space3 = {name ="\n", type = "description", order=8},
			
			grpvehicle = {
				name = "Vehicle settings",
				order=9, type ="group", dialogInline = true,
				args = {
					vehiclehidePower = {
						name = "When in a vehicle: Show the Powerbar",
						order=1, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["frame"]["energy"]["vehiclehide"]=not(key) vexpower_initialize(true) end,
						get = function() return not(vexpower_parameters["frame"]["energy"]["vehiclehide"]) end,
						},
					frame_subspace2 = {name =" ", type = "description", order=2, width="half"},
					vehicleEnergy= {
						name = "Show vehicle-power instead of own power",
						order=3, type = "toggle", width="double",
						disabled = not(vexpower_parameters["frame"]["show"]) or vexpower_parameters["frame"]["energy"]["vehiclehide"],
						set = function(self,key) vexpower_parameters["frame"]["energy"]["vehicleEnergy"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["energy"]["vehicleEnergy"] end,
						},
					vehiclehideCPs = {
						name = "When in a vehicle: Show the ComboPoints",
						order=10, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["frame"]["combo"]["vehiclehide"]=not(key) vexpower_initialize(true) end,
						get = function() return not(vexpower_parameters["frame"]["combo"]["vehiclehide"]) end,
						},
					},
				},
			frame_space4 = {name ="\n", type = "description", order=10},
			
			grpeffect = {
				name = "Hide effect",
				order=11, type ="group", dialogInline = true,
				args = {
					fadeout= {
						name = "Let the frames fadeout, instead of instantly disappear",
						order=1, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["frame"]["fadeout"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["fadeout"] end,
						},
					fadeoutTime = {
						name = "Fade-Out duration",
						order=2, type = "range", width="double",
						desc = "Sets the time the fade out effects last",
						step = 0.1, min = 0.1, max = 5,
						set = function(info,val) vexpower_parameters["fadeOutTime"]=val vexpower_initialize(true) end,
						get = function() return vexpower_parameters["fadeOutTime"] end
						},
					},
				},
			}
		}
end