vexpower_default_data_default = {
	["activate"] = false,
	["profile"] = "",
	}

vexpower_defaults = {
	["variableversion"] = 8,
	["blizzhide"] = {
		["holypower"] = true,
		["cps"] = true,
		["lockShards"] = true,
		},
	["fadeOutTime"] = 1,
	["sound"] = {
		["activate"] = false,
		["x"] = 3,
		["channel"] = "Master",
		["file"] = "",
		},
	["frame"] = {
		["infightdelay"] = 0,
		["show"] = true, 
		["fadeout"] = true, 
		["energy"] = {
			["infightshow"] = false,
			["stealthshow"] = true,
			["vehiclehide"] = false,
			["showWithPowerType"] = {
				["FOCUS"] = true,
				["MANA"] = true,
				["RUNIC_POWER"] = true,
				["ENERGY"] = true,
				["RAGE"] = true,
				},
			["show"] = true, 
			["vehicleEnergy"] = true,
			["size"] = {["width"]=400,  ["height"]=30},
			["position"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
			["typecolored"]=true,
			["bgcolor"]={["r"]=0, ["g"]=0, ["b"]=0, ["a"]=0.5},
			["color"]={["r"]=1, ["g"]=1, ["b"]=0, ["a"]=1},
			["fadeout"] = true, 
			["altcolors"] = {
				["full"] = 0.95,
				["empty"] = 0.05,
				["use"] = {false, false, false, false, false, false},
				["typecolored"] = {false, false, false, false, false, false},
				["1"] = {["r"]=1, ["g"]=1, ["b"]=0, ["a"]=1},
				["2"] = {["r"]=1, ["g"]=1, ["b"]=0, ["a"]=1},
				["3"] = {["r"]=1, ["g"]=1, ["b"]=0, ["a"]=1},
				["4"] = {["r"]=1, ["g"]=1, ["b"]=0, ["a"]=1},
				["5"] = {["r"]=1, ["g"]=1, ["b"]=0, ["a"]=1},
				["6"] = {["r"]=1, ["g"]=1, ["b"]=0, ["a"]=1},
				},
			["alphabyenergy"]=false,
			["border"] = {
				["texture"] = "Solid",
				["color"]={["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
				["size"]=2,
				},
			["textureToUse"] = 1,
			["bg"]="Solid",
			["bg2"]="None",
			["bg_texture"]="Solid",
			["markers"]={
				["points"] =  {},
				["points_spec_a"] =  {},
				["points_spec_b"] =  {},
				["width"] = 3,
				["color"] = {["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
				["color_likebg"] = false,
				["border"] = {
					["color"] = {["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
					["size"] = 1,
					["color_likebg"] = false,
					},
				},
			["usedcolor"] = {["r"]=1, ["g"]=0.6, ["b"]=0, ["a"]=1},
			["text"]={
				["left"]={
					["text"]="[PowerCurrent]",
					["font"]="Friz Quadrata TT",
					["size"]=14,
					["align"]="LEFT",
					["x"]=5, ["y"]=-7,
					["width"]=100,
					["color"]={["r"]=1, ["g"]=1, ["b"]=1, ["a"]=1},
					["effect"]="OUTLINE",
					["shadow"]={
						["allow"] = false,
						["offset"] = {["x"] = 5, ["y"] = 5},
						["color"] = {["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
						}
					},
				["right"]={["font"]="Friz Quadrata TT",
					["text"]="[PowerMax]",
					["size"]=14,
					["align"]="RIGHT",
					["x"]=-5, ["y"]=-7,
					["width"]=100,
					["color"]={["r"]=1, ["g"]=1, ["b"]=1, ["a"]=1},
					["effect"]="OUTLINE",
					["shadow"]={
						["allow"] = false,
						["offset"] = {["x"] = 5, ["y"] = 5},
						["color"] = {["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
						}
					}
				}
			},
		["combo"] = {
			["infightshow"] = false,
			["stealthshow"] = true,
			["vehiclehide"] = false,
			["showWithPowerType"] = {
				["FOCUS"] = true,
				["MANA"] = true,
				["RUNIC_POWER"] = true,
				["ENERGY"] = true,
				["RAGE"] = true,
				},
			["show"] = true,
			["fadeout"] = true,
			["measure"] = {
				["y"] = 40,
				["gap"] = 10,
				["offset"] = 20,
				["height"] = 30
				},
			["bg"] = {
				["allowchange"] = true,
				["cpchange"] = "3",
				["cpchangeonly"] = false,
				["color"] = {
					["1"] = {["r"]=1, ["g"]=0.929, ["b"]=0.0156, ["a"]=1},
					["2"] = {["r"]=0.7725, ["g"]=1, ["b"]=0.043, ["a"]=1},
					["3"] = {["r"]=0.314, ["g"]=1, ["b"]=0.6666, ["a"]=1},
					["4"] = {["r"]=0, ["g"]=1, ["b"]=0.753, ["a"]=1},
					["5"] = {["r"]=0.0078, ["g"]=0.757, ["b"]=1, ["a"]=1},
					["6"] = {["r"]=0.0078, ["g"]=0.757, ["b"]=1, ["a"]=1},
					["change"] = {["r"]=1, ["g"]=0, ["b"]=0, ["a"]=1},
					["used"] = {["r"]=1, ["g"]=0.6, ["b"]=0, ["a"]=1},
					},
				},
			["border"] = {
				["size"] = 1,
				["color"] = {["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
				},
			}
		}
	}

function vexpower_loaddefaults(force)
	if vexpower_parameters == nil and vexpower_profiles ~= nil and vexpower_default_data ~= nil then
		if vexpower_default_data["activate"] then
			if vexpower_profiles[vexpower_default_data["profile"]] ~= nil then
				vexpower_profiles_profile_load = vexpower_default_data["profile"]
				vexpower_profile_load()
			else
				print("|CFFFF7D0AVex Power|r ERROR: Could not load default profile. Default profile '"..vexpower_default_data["profile"].."' doesn't exist.")
				print("|CFFFF7D0AVex Power|r ERROR: Default addon settings will loaded instead. You can still load another profile manually in the options")
			end
		end
	end
	
	local PowerShowWithMana = nil
	local CPsShowWithMana = nil
	local CPsShowWithoutEnergy = nil
	
	local infightshow = nil
	local infightshowCP = nil
	local vehiclehide = nil
	local stealthshow = nil
	local stealthshowCP = nil
	
	
	if vexpower_parameters ~= nil then
		if vexpower_parameters["frame"]["energy"]["showwithmana"] ~= nil then
			PowerShowWithMana = vexpower_parameters["frame"]["energy"]["showwithmana"]
			vexpower_parameters["frame"]["energy"]["showwithmana"] = nil
		end
		if vexpower_parameters["frame"]["combo"]["showwithmana"] ~= nil then
			CPsShowWithMana = vexpower_parameters["frame"]["combo"]["showwithmana"]
			vexpower_parameters["frame"]["combo"]["showwithmana"] = nil
		end
		if vexpower_parameters["frame"]["combo"]["showWithoutEnergy"] ~= nil then
			CPsShowWithoutEnergy = vexpower_parameters["frame"]["combo"]["showWithoutEnergy"]
			vexpower_parameters["frame"]["combo"]["showWithoutEnergy"] = nil
		end
		if vexpower_parameters["frame"]["infightshow"] ~= nil then
			infightshow = vexpower_parameters["frame"]["infightshow"]
			vexpower_parameters["frame"]["infightshow"] = nil
		end
		if vexpower_parameters["frame"]["infightshowCP"] ~= nil then
			infightshowCP = vexpower_parameters["frame"]["infightshowCP"]
			vexpower_parameters["frame"]["infightshowCP"] = nil
		end
		if vexpower_parameters["frame"]["vehiclehide"] ~= nil then
			vehiclehide = vexpower_parameters["frame"]["vehiclehide"]
			vexpower_parameters["frame"]["vehiclehide"] = nil
		end
		if vexpower_parameters["frame"]["stealthshow"] ~= nil then
			stealthshow = vexpower_parameters["frame"]["stealthshow"]
			vexpower_parameters["frame"]["stealthshow"] = nil
		end
		if vexpower_parameters["frame"]["stealthshowCP"] ~= nil then
			stealthshowCP = vexpower_parameters["frame"]["stealthshowCP"]
			vexpower_parameters["frame"]["stealthshowCP"] = nil
		end
	end
	
	vexpower_parameters =  vexpower_check_tablecontent(vexpower_defaults, vexpower_parameters, force)
	vexpower_default_data =  vexpower_check_tablecontent(vexpower_default_data_default, vexpower_default_data, force)
	
	
	vexpower_checkOldVariables6()
	vexpower_checkOldVariables7(PowerShowWithMana, CPsShowWithMana, CPsShowWithoutEnergy)
	vexpower_checkOldVariables8(infightshow, infightshowCP, vehiclehide, stealthshow, stealthshowCP)
	
	if vexpower_profiles == nil then vexpower_profiles = { } end
	
	
	
	if force then vexpower_initialize(true) end
end

function vexpower_check_tablecontent(defaults, saved, force)
	local temp = {}
	if force or type(saved) ~= "table" then temp=defaults
	else
		for key,val in pairs(defaults) do
			if type(val) == "table" then
				temp[key] = {}
				if saved[key] == nil then
					temp[key] = val
				else
					temp[key] = vexpower_check_tablecontent(defaults[key], saved[key], force)
				end
			else
				if saved[key] == nil then
					temp[key] = val
				else
					temp[key] = saved[key]
				end
			end
		end
		
		--adds information that is not in the defaults list --> 'markers'
		for key,val in pairs(saved) do
			if type(val) == "table" then
				temp[key] = {}
				if defaults[key] == nil then
					temp[key] = val
				else
					temp[key] = vexpower_check_tablecontent(defaults[key], saved[key], force)
				end
			else
				if defaults[key] == nil then
					temp[key] = val
				else
					temp[key] = saved[key]
				end
			end
		end
	end
	return temp
end
